Bug 812720 - SELinux is preventing /usr/bin/totem-video-thumbnailer from 'getattr' accesses on the file /run/media/ankur/Miscellaneous/Whitesnake.Live.In.The.Still.Of.The.Night.[2006].DVDRip.XviD-BLiTZKRiEG.avi.
SELinux is preventing /usr/bin/totem-video-thumbnailer from 'getattr' accesse...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:1329f1488abc6ff8dd624ae308e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-16 01:14 EDT by Ankur Sinha (FranciscoD)
Modified: 2012-04-18 19:08 EDT (History)
3 users (show)

See Also:
Fixed In Version: selinux-policy-3.10.0-116.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-18 19:08:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ankur Sinha (FranciscoD) 2012-04-16 01:14:09 EDT
libreport version: 2.0.10
executable:     /usr/bin/python
hashmarkername: setroubleshoot
kernel:         3.3.1-5.fc17.x86_64
time:           Monday 16 April 2012 10:43:52 AM IST

description:
:SELinux is preventing /usr/bin/totem-video-thumbnailer from 'getattr' accesses on the file /run/media/ankur/Miscellaneous/Whitesnake.Live.In.The.Still.Of.The.Night.[2006].DVDRip.XviD-BLiTZKRiEG.avi.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that totem-video-thumbnailer should be allowed getattr access on the Whitesnake.Live.In.The.Still.Of.The.Night.[2006].DVDRip.XviD-BLiTZKRiEG.avi file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep totem-video-thu /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023
:Target Context                unconfined_u:object_r:var_run_t:s0
:Target Objects                /run/media/ankur/Miscellaneous/Whitesnake.Live.In.
:                              The.Still.Of.The.Night.[2006].DVDRip.XviD-
:                              BLiTZKRiEG.avi [ file ]
:Source                        totem-video-thu
:Source Path                   /usr/bin/totem-video-thumbnailer
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           totem-3.4.0-1.fc17.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-114.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.1-5.fc17.x86_64 #1 SMP Tue Apr
:                              10 20:42:28 UTC 2012 x86_64 x86_64
:Alert Count                   1
:First Seen                    Monday 16 April 2012 10:40:37 AM IST
:Last Seen                     Monday 16 April 2012 10:40:37 AM IST
:Local ID                      aa7a18f6-4626-443b-bba0-5923ceadc323
:
:Raw Audit Messages
:type=AVC msg=audit(1334553037.893:272): avc:  denied  { getattr } for  pid=2446 comm="totem-video-thu" path="/run/media/ankur/Miscellaneous/Whitesnake.Live.In.The.Still.Of.The.Night.[2006].DVDRip.XviD-BLiTZKRiEG.avi" dev="sda8" ino=55 scontext=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:var_run_t:s0 tclass=file
:
:
:type=SYSCALL msg=audit(1334553037.893:272): arch=x86_64 syscall=stat success=no exit=EACCES a0=171b820 a1=7fffbfb48210 a2=7fffbfb48210 a3=6b items=0 ppid=2338 pid=2446 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=(none) ses=2 comm=totem-video-thu exe=/usr/bin/totem-video-thumbnailer subj=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 key=(null)
:
:Hash: totem-video-thu,thumb_t,var_run_t,file,getattr
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Miroslav Grepl 2012-04-16 05:04:07 EDT
Fixed in selinux-policy-3.10.0-115.fc17
Comment 2 Fedora Update System 2012-04-16 17:28:56 EDT
selinux-policy-3.10.0-116.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-116.fc17
Comment 3 Fedora Update System 2012-04-18 19:08:17 EDT
selinux-policy-3.10.0-116.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.